Package org.jfree.layouting

## Class InstantiationState

- java.lang.Object
- - org.jfree.layouting.InstantiationState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`

      public class InstantiationState
      extends java.lang.Object
      implements State

  Creation-Date: 17.07.2006, 17:44:11
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InstantiationState​(java.lang.Class c)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StatefullComponent` | `restore​(LayoutProcess layoutProcess)` | Creates a restored instance of the saved component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstantiationState

          public InstantiationState​(java.lang.Class c)

  - ### Method Detail

    - #### restore

          public StatefullComponent restore​(LayoutProcess layoutProcess)
                                     throws StateException

      Creates a restored instance of the saved component.

      By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
      Specified by:
        `restore` in interface `State`
      Parameters:
        `layoutProcess` - the layout process that controls it all
      Returns:
        the saved state
      Throws:
        `StateException`